| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations
htmlcell.h File Reference

## Classes

class | wxHtmlSelection
class | wxHtmlRenderingState
| Selection state is passed to wxHtmlCell::Draw so that it can render itself differently e.g. More...
class | wxHtmlRenderingStyle
| wxHtmlSelection is data holder with information about text selection. More...
class | wxHtmlRenderingInfo
| This class contains information given to cells when drawing them. More...
class | wxHtmlCell
| Internal data structure. More...
class | wxHtmlContainerCell
| The wxHtmlContainerCell class is an implementation of a cell that may contain more cells in it. More...
class | wxHtmlLinkInfo
| This class stores all necessary information about hypertext links (as represented by <A> tag in HTML documents). More...
class | wxHtmlColourCell
| This cell changes the colour of either the background or the foreground. More...
class | wxHtmlWidgetCell
| wxHtmlWidgetCell is a class that provides a connection between HTML cells and widgets (an object derived from wxWindow). More...
class | wxHtmlWordCell
| This html cell represents a single word or text fragment in the document stream. More...
class | wxHtmlWordWithTabsCell
| wxHtmlWordCell is a specialization for storing text fragments with embedded tab characters. More...
class | wxHtmlFontCell
| This cell represents a font change in the document stream. More...

## Enumerations

enum | wxHtmlSelectionState { wxHTML_SEL_OUT, wxHTML_SEL_IN, wxHTML_SEL_CHANGING }
enum | { wxHTML_FIND_EXACT = 1, wxHTML_FIND_NEAREST_BEFORE = 2, wxHTML_FIND_NEAREST_AFTER = 4 }
enum | wxHtmlScriptMode { wxHTML_SCRIPT_NORMAL, wxHTML_SCRIPT_SUB, wxHTML_SCRIPT_SUP }

## Enumeration Type Documentation

anonymous enum

Enumerator:

  wxHTML_FIND_EXACT |
  wxHTML_FIND_NEAREST_BEFORE |
  wxHTML_FIND_NEAREST_AFTER |

enum wxHtmlScriptMode

Enumerator:

  wxHTML_SCRIPT_NORMAL |
  wxHTML_SCRIPT_SUB |
  wxHTML_SCRIPT_SUP |

enum wxHtmlSelectionState

Enumerator:

  wxHTML_SEL_OUT |
  wxHTML_SEL_IN |
  wxHTML_SEL_CHANGING |